﻿// Описания правок
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Возвращает новое пустое описание правки
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Структура
//
Функция Создать() Экспорт
	
	Результат	= Новый Структура();
	
	Идентификатор(Результат, "");
	Вид(Результат, "");
	Область(Результат, "");
	ВерсияМин(Результат, "");
	ВерсияМакс(Результат, "");
	Текст(Результат, "");
	Методы(Результат, "");
	
	Возврат Результат;
	
КонецФункции // Создать 

// Устанавливает идентификатор описания. Возвращает значение на сосент до выполнения метода
//
// Параметры: 
// 	Описание - Структура - Описание правки
// 	Значение - Строка - Новое значение
//
// Возвращаемое значение: 
// 	Строка
//
Функция Идентификатор(Описание, Значение = Null) Экспорт
	
	Возврат оптерп_Коллекция.СтруктураСвойство(Описание, "Идентификатор", Значение);
	
КонецФункции // Идентификатор 

// Устанавливает вид ошибки описания. Возвращает значение на момент до выполнения метода
//
// Параметры: 
// 	Описание - Структура - Описание правки
// 	Значение - Строка - новое значение
//
// Возвращаемое значение: 
// 	Строка
//
Функция Вид(Описание, Значение = Null) Экспорт
	
	Возврат оптерп_Коллекция.СтруктураСвойство(Описание, "Вид", Значение);
	
КонецФункции // Вид 

// Устанавливает функциональную область правки. Возвращает значение на
// 	момент до вызова метода
//
// Параметры: 
// 	Описание - Структура - Описание правки
// 	Значение - Строка - Новое значение
//
// Возвращаемое значение: 
// 	Строка
//
Функция Область(Описание, Значение = Null) Экспорт
	
	Возврат оптерп_Коллекция.СтруктураСвойство(Описание, "Область", Значение);
	
КонецФункции // Область 

// Устанавливает текст описания правки. Возвращает значение на момент до выполнения метода
//
// Параметры: 
// 	Описание - Структура - Описание правки
// 	Значение - Строка - Новое значение
//
// Возвращаемое значение: 
// 	Строка
//
Функция Текст(Описание, Значение = Null) Экспорт
	
	Возврат оптерп_Коллекция.СтруктураСвойство(Описание, "Текст", Значение);
	
КонецФункции // Текст 

// Устанавливает минимальную версию применимости правки. Возвращает значение на 
// 	момент до выполнения метода
//
// Параметры: 
// 	Описание - Структура - Описание правки
// 	Значение - Строка - Новое значение
//
// Возвращаемое значение: 
// 	Строка
//
Функция ВерсияМин(Описание, Значение = Null) Экспорт
	
	Возврат оптерп_Коллекция.СтруктураСвойство(Описание, "ВерсияМин", Значение);
	
КонецФункции // ВерсияМин 

// Устанавливает максимальную версию применимости правки. Возвращает значение на
// 	момент до выполнения метода
//
// Параметры: 
// 	Описание - Строка - Описание правки
// 	Значение - Строка - Новое значение
//
// Возвращаемое значение: 
//
Функция ВерсияМакс(Описание, Значение = Null) Экспорт
	
	Возврат оптерп_Коллекция.СтруктураСвойство(Описание, "ВерсияМакс", Значение);
	
КонецФункции // ВерсияМакс 

// Устанавливает изменяемые правкой методы. Возвращает значение на момент до выполнения метода
//
// Параметры: 
// 	Описание - Структура - Описание правки
// 	Значение - Строка - Новое значение
//
// Возвращаемое значение: 
// 	Строка
//
Функция Методы(Описание, Значение = Null) Экспорт
	
	Возврат оптерп_Коллекция.СтруктураСвойство(Описание, "Методы", Значение);
	
КонецФункции // Методы 

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 